#ifndef _MESSAGES_H
#define _MESSAGES_H

//*************USB MESSAGES**************//
#define BULBOFF		0x00						//0x0n			n = bulb to turn off
#define BULBON		0x10						//0x1n			n = bulb to turn on
#define PEDALOFF	0x20						//0x20			pedal released
#define PEDALON		0x21						//0x21			pedal pressed
#define CLEAR		0x40						//0x4n			n = state, 0 = off, 1 = on.
#define SETMODE		0x50						//0x5n			n = mode as listed below (1-4)
#define	RUNINIT		0x60						//0x60			plays the light run sequence.
#define HOMESET		0xF0						//0xFn			n = home position (0-11) i.e. c, c#, d, d#...a, a#, b


//************SYSTEM MESSAGES************//
#define SYS_ID					0x11
#define LOCAL_MODE				0x00
#define COMBO_MODE				0x01
#define EXT_MODE				0x02
#define SETHOME					0x03

//Debug Messages
#define DEBUG					0x70
#define MIDI_FRAME_ERROR		0x01
#define MIDI_OVERRUN_ERROR		0x02
#define	MIDI_BUFFER_OVERFLOW	0x03
#define USB_FRAME_ERROR			0x04
#define USB_OVERRUN_ERROR		0x05
#define USB_BUFFER_OVERFLOW		0x06

//*************MIDI MESSAGES*************//

#define MIDI_STATUS		0x80

#define MIDI_NOTE_OFF	0x80
#define MIDI_NOTE_ON	0x90
#define MIDI_POLY_PRES	0xA0
#define MIDI_CC			0xB0
#define MIDI_PC			0xC0
#define MIDI_CHAN_PRES	0xD0
#define MIDI_PITCH		0xE0
#define MIDI_SYSEX		0xF0
#define MIDI_SYSEX_END	0xF7
#define MIDI_CLOCK		0xF8
#define MIDI_START_SEQ	0xFA
#define MIDI_CONT_SEQ	0xFB
#define MIDI_STOP_SEQ	0xFC
#define MIDI_ACT_SENSE	0xFE
//Control Change and Mode Messages
#define MIDI_BANK		0x00
#define MIDI_MOD_WHEEL	0x01
#define MIDI_BREATH		0x02
//#define MIDI_UNDF		0x03
#define MIDI_FOOT_CTRL	0x04
#define MIDI_PTMNT_TIME	0x05
#define MIDI_DATA_MSB	0x06
#define MIDI_CH_VOL		0x07
#define MIDI_BALANCE	0x08
//#define MIDI_UNDF		0x09
#define MIDI_PAN		0x0A
#define MIDI_EXP_CTRL	0x0B
#define MIDI_FX_CTRL1	0x0C
#define MIDI_FX_CTRL2	0x0D
//#define MIDI_UNDF		0x0E
//#define MIDI_UNDF		0x0F
#define MIDI_GEN_CTRL1	0x10
#define MIDI_GEN_CTRL2	0x11
#define MIDI_GEN_CTRL3	0x12
#define MIDI_GEN_CTRL4	0x13
//#define MIDI_UNDF		0x14
//#define MIDI_UNDF		0x15
//#define MIDI_UNDF		0x16
//#define MIDI_UNDF		0x17
//#define MIDI_UNDF		0x18
//#define MIDI_UNDF		0x19
//#define MIDI_UNDF		0x1A
//#define MIDI_UNDF		0x1B
//#define MIDI_UNDF		0x1C
//#define MIDI_UNDF		0x1D
//#define MIDI_UNDF		0x1E
//#define MIDI_UNDF		0x1F



#define MIDI_SUSTAIN	0x40
#define MIDI_PORTAMENTO	0x41
#define MIDI_SOSTENUTO	0x42
#define MIDI_SOFT_PEDAL	0x43
#define MIDI_LEGATO		0x44
#define MIDI_HOLD2		0x45



#endif
